# DataScienceAssignment
# Student Name    : Mohammad Khairi Ameen Taha 
# Student ID GCET : 202411368
# Student ID UWE  : 24071690
# School          : SCHOOL OF COMPUTING AND CREATIVE TECHNOLOGIES
# Course Title    : MSc DATA SCIENCE
# Course Year     : 2024 - 2025
# Assessment Name : Programing for Data Science - Life Expectancy Analysis

## Project Overview

This project analyses life expectancy data, identifies patterns, and predicts life expectancy based on socioeconomic factors. The assessment includes data loading, cleaning, exploratory data analysis, statistical analysis, visualization, and creating a linear regression model for predictions.

## Project Structure

- **PracticalSkillTask.ipynb**: The primary notebook contains code for data loading, cleaning, EDA, statistical analysis, and model building.
- **README.md**: This file provides project information and update history.
- **Life_Expectancy_Data.csv**: The dataset used for the analysis includes various indicators affecting life expectancy.

## Installation

1. **Clone Repository**: 'git clone https://gitlab.uwe.ac.uk/mka2-taha/DSA24-25.git'
2. **Environment Setup**: Ensure Python 3.8+ with dependencies installed using 'pip install -r requirements.txt`.

## Usage

To run the project:
1. Open **PracticalSkillTask.ipynb** in Jupyter Notebook or JupyterLab.
2. Execute each cell to see data processing, analysis, and visualizations.


## Update Log

- **Version 1.0**: Initial project setup and GIT
- **Version 2.0**: Adding Author Information to ReadMe file
- **Version 3.0**: Restructure the ReadMe file and put all sections, Adding the requirments.txt file for prerequisites
- **Version 4.0**: Add the code to load data, Data cleaning and manipulation, which cover points 1 and 2
- **Version 5.0**: Add the code for EDA,Numerical Calculation and visualization which covers points 3,4,5
- **Version 6.0**: Add the reflective report
